% DATA FILE
% STREAM AND HEAT EXCHANGER DATA FOR THE 2:1 HEN

function [T0,Th1,Th2,Th3...
            m0,m1,m2,mh1,mh2,mh3...
            rho_0, hc, Cp0,...
            Vwall, rho_wall, Cp_wall,...
            filterk, filtert,...
            P1, P2, P3] = Data;


% COLD STREAM DATA
T0 = 130; % Inlet cold stream temperature [degC]
rho_0 = 1000; % Density cold stream [kg/m3]
hc = 0.10; % Heat transfer coeffsient cold fluid (water) [kW/m2degC]
m0 = 64; % Mass flow cold stream [kg/sek]
Cp0 = 2.5; % Heat capacity cold stream [kJ/kgdegC]
m1 = m0*0.4522; % Bypass to upper branch, start value for simulation
m2 = m0-m1; % Bypass to lower branch, start value for simulation

% HEAT EXCHANGER 1
Th1 = 203; % Inlet hot stream temperature [degC]
mh1 = 30; % Mass flow hot stream [kg/sec]
P1 = 1; % Price constant

% HEAT EXCHANGER 2
Th2 = 255; % Inlet hot stream temperature [degC]
mh2 = 13.5; % Mass flow hot stream [kg/sec]
P2 = 1; % Price constant

% HEAT EXCHANGER 3
Th3 = 248; % Inlet hot stream temperature [degC]
mh3 = 21.67; % Mass flow hot stream [kg/sec]
P3 = 1; % Price constant

% HEAT EXCHANGER DATA
m_wall = 3000; % Wall weight HXers [kg]
rho_wall = 7850; % Wall density CS [kg/m3] %7850
Vwall = m_wall/rho_wall; % Wall volume [m3]
Cp_wall = 0.49; % Heat capacity wall CS [kW/kgdegC]


end
