% DATA FILE
% STREAM AND HEAT EXCHANGER DATA FOR THE 6:1 HEN


function [T0,Th1,Th2,Th3,Th4,Th5,Th6,Th7,...
            m0,m1,m2,mh1,mh2,mh3,mh4,mh5,mh6,mh7,...
            rho_0,hc,Cp0,...
            Vwall,rho_wall,Cp_wall,...
            P1,P2,P3,P4,P5,P6,P7] = Data


% COLD STREAM
T0 = 130; % Inlet cold stream temperature [degC]
rho_0 = 1000; % Density cold stream [kg/m3]
hc = 0.10; % Heat transfer coeffsient cold fluid (water) [kW/m2degC]
m0 = 50; % Mass flow cold stream [kg/sek]
Cp0 = 2; % Heat capacity cold stream [kJ/kgdegC]
m1 = m0*0.8299; % Bypass to upper branch, start value for simulation
m2 = m0-m1; % Bypass to lower branch, start value for simulation

% HEAT EXCHANGER 1
Th1 = 190; % Inlet hot stream temperature [degC]
mh1 = 25; % Mass flow hot stream [kg/sec]
P1 = 1; % Price constant

% HEAT EXCHANGER 2
Th2 = 203; % Inlet hot stream temperature [degC]
mh2 = 15; % Mass flow hot stream [kg/sec]
P2 = 1.2; % Price constant

% HEAT EXCHANGER 3
Th3 = 220; % Inlet hot stream temperature [degC]
mh3 = 7.5; % Mass flow hot stream [kg/sec]
P3 = 1.3; % Price constant

% HEAT EXCHANGER 4
Th4 = 235; % Inlet hot stream temperature [degC]
mh4 = 12.5; % Mass flow hot stream [kg/sec]
P4 = 1.5; % Price constant

% HEAT EXCHANGER 5
Th5 = 240; % Inlet hot stream temperature [degC]
mh5 = 20; % Mass flow hot stream [kg/sec]
P5 = 1.4; % Price constant

% HEAT EXCHANGER 6
Th6 = 245; % Inlet hot stream temperature [degC]
mh6 = 17.5; % Mass flow hot stream [kg/sec]
P6 = 1.7; % Price constant

% HEAT EXCHANGER 7
Th7 = 225; % Inlet hot stream temperature [degC]
mh7 = 15; % Mass flow hot stream [kg/sec]
P7 = 1.5; % Price constant

% HEAT EXCHANGER DATA
m_wall = 3000; % Wall weight HXers [kg]
rho_wall = 7850; % Wall density CS [kg/m3] %7850
Vwall = m_wall/rho_wall; % Volume walls [m3]
Cp_wall = 0.49; % Heat capacity walls CS [kW/kgdegC]

end
